std::complex< float > Struct Template Reference
Complex Numbers

## Public Types

typedef __complex__ float | _ComplexT
typedef float | value_type

## Public Member Functions

constexpr | complex (_ComplexT __z)
constexpr | complex (float __r=0.0f, float __i=0.0f)
constexpr | complex (const complex< double > &)
constexpr | complex (const complex< long double > &)
| __attribute ((__abi_tag__("cxx11"))) const expr float real() const
| __attribute ((__abi_tag__("cxx11"))) const expr float imag() const
constexpr _ComplexT | __rep () const
void | imag (float __val)
complex & | operator*= (float __f)
template<class _Tp >
complex & | operator*= (const complex< _Tp > &__z)
complex & | operator+= (float __f)
template<typename _Tp >
complex & | operator+= (const complex< _Tp > &__z)
complex & | operator-= (float __f)
template<class _Tp >
complex & | operator-= (const complex< _Tp > &__z)
complex & | operator/= (float __f)
template<class _Tp >
complex & | operator/= (const complex< _Tp > &__z)
complex & | operator= (float __f)
template<typename _Tp >
complex & | operator= (const complex< _Tp > &__z)
void | real (float __val)

## Detailed Description

### template<>
struct std::complex< float >

26.2.3 complex specializations complex<float> specialization

Definition at line 1043 of file complex.

The documentation for this struct was generated from the following file:

- complex